> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# list-tenants

> List tenants of the workspace — the end-users on whose behalf connections exist. Use to segment a dashboard by tenant.



## OpenAPI

````yaml /api-reference/membrane-api.json get /tenants
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /tenants:
    get:
      summary: list-tenants
      description: >-
        List tenants of the workspace — the end-users on whose behalf
        connections exist. Use to segment a dashboard by tenant.
      operationId: listTenants
      parameters:
        - name: isTest
          in: query
          required: false
          schema:
            type: boolean
        - name: isActive
          in: query
          required: false
          schema:
            type: boolean
        - name: limit
          in: query
          required: false
          schema:
            description: Maximum number of items to return (1-1000)
            type: integer
            minimum: 1
            maximum: 1000
        - name: cursor
          in: query
          required: false
          schema:
            description: Pagination cursor from a previous response
            type: string
        - name: search
          in: query
          required: false
          schema:
            description: Text search query to filter results
            type: string
        - name: includeArchived
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: >-
            List tenants of the workspace — the end-users on whose behalf
            connections exist. Use to segment a dashboard by tenant.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        meta:
                          type: object
                          additionalProperties: {}
                        key:
                          type: string
                        kind:
                          type: string
                          enum:
                            - member
                            - operator
                            - virtual
                        isReadOnly:
                          type: boolean
                        fields:
                          type: object
                          additionalProperties: {}
                        credentials: {}
                        lastActiveAt:
                          type: string
                        isTest:
                          type: boolean
                        isBillable:
                          type: boolean
                        isActive:
                          type: boolean
                        aiCreditsRolling30DayLimit:
                          nullable: true
                          type: number
                          minimum: 0
                        createdAt:
                          type: string
                        archivedAt:
                          type: string
                      required:
                        - id
                        - name
                      additionalProperties: false
                  cursor:
                    type: string
                required:
                  - items
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````